#version 300 es

in vec3 aPosition;
in float aAlpha;
uniform mat4 uMatrix;
uniform float uPointSize;
out vec4 vColor;
void main() {
    gl_Position = uMatrix * vec4(aPosition.x, aPosition.y, 1.0, 1.0);
    gl_PointSize = aPosition.z;
    vColor = vec4(1.0, 1.0, 1.0, min(aAlpha, 0.4));
}
