#version 310 es
precision lowp float;
in vec4 vUv;
out vec4 oFragColor;

uniform sampler2D uTexColor;
uniform float alpha;

void main() {
    vec4 col = texture(uTexColor, vUv.xy);
    oFragColor = vec4(vec3(0.05), col.a*alpha*vUv.w);
}