#version 300 es
precision lowp float;
uniform sampler2D uDiffuseTexture;
uniform float uAlphaThreshold;
in vec2 vUv;
out vec4 oFragColor;

void main()
{
    oFragColor = texture(uDiffuseTexture, vUv);
    oFragColor.a = (oFragColor.a > uAlphaThreshold) ? 0.1 : 0.0;
}
