#version 310 es
precision lowp float;
in vec4 vUv;
out vec4 oFragColor;

uniform sampler2D uTexColor;
uniform float alpha;
void main() {
    vec4 col = texture(uTexColor, vUv.xy);
    float alphaScale = mix(0.3, 2., vUv.z)*alpha;
    oFragColor = vec4(col.xyz, col.a*alphaScale*0.4*vUv.w);
}