#version 300 es

layout (location = 1) in vec3 aPosition;
layout (location = 0) in vec2 aUv;
uniform float uBlurBufferSize;
out vec2 vBlurTexCoords[5];
void main() {
    gl_Position = vec4(aPosition, 1.0);
    vBlurTexCoords[0] = aUv + vec2(-0.7 * uBlurBufferSize, 0.0);
    vBlurTexCoords[1] = aUv + vec2(-0.35 * uBlurBufferSize, 0.0);
    vBlurTexCoords[2] = aUv;
    vBlurTexCoords[3] = aUv + vec2( 0.35 * uBlurBufferSize, 0.0);
    vBlurTexCoords[4] = aUv + vec2( 0.7 * uBlurBufferSize, 0.0);
}
